Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class PNonTransState

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.JDOState
            |
            +--com.solarmetric.kodo.runtime.PNonTransState

class PNonTransState
extends JDOState

JDO lifecycle state.

Represents a persistent instance that is not transactional, but that allows access to persistent data. This state is reachable only if the retainValues flag of the PersistenceManager is set.

Fields inherited from class com.solarmetric.kodo.runtime.JDOState
`HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWDELETEDFLUSHED, PNEWFLUSHED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNONTRANS, TCLEAN, TDIRTY, TRANSIENT`

Constructor Summary
`(package private)` | `PNonTransState()`

Method Summary
`(package private) JDOState` | `beforeOptimisticWrite(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an optimistic transaction.
`(package private) JDOState` | `beforeRead(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read within an active transaction.
`(package private) JDOState` | `beforeWrite(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an active transaction.
`(package private) JDOState` | `deletePersistent(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.deletePersistent(java.lang.Object)` with the given instance.
`(package private) JDOState` | `evict(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.evict(java.lang.Object)` with the given instance.
`(package private) void` | `initialize(StateManagerImpl context)` Called when this state is first assigned to the given state manager.
`(package private) boolean` | `isPersistent()` Return whether this is a persistent state.
`(package private) JDOState` | `makeTransactional(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeNontransactional(java.lang.Object)` with the given instance.
`(package private) JDOState` | `makeTransient(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeTransient(java.lang.Object)` with the given instance.

Methods inherited from class com.solarmetric.kodo.runtime.JDOState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeCommit, beforeFlush, beforeNontransactionalRead, beforeNontransactionalWrite, beforeOptimisticRead, commit, commitRetain, error, flush, isDeleted, isDirty, isFlushed, isNew, isTransactional, makeNontransactional, makePersistent, rollback, rollbackRetain`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNonTransState

    PNonTransState()

Method Detail

### initialize

    void initialize(StateManagerImpl context)

  Description copied from class: `JDOState`
  Called when this state is first assigned to the given state manager.
  Overrides:
    `initialize` in class `JDOState`

### deletePersistent

    JDOState deletePersistent(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.deletePersistent(java.lang.Object)` with the given instance. Returns the `this` pointer by default.
  Overrides:
    `deletePersistent` in class `JDOState`

### makeTransactional

    JDOState makeTransactional(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeNontransactional(java.lang.Object)` with the given instance. Returns the `this` pointer by default.
  Overrides:
    `makeTransactional` in class `JDOState`

### makeTransient

    JDOState makeTransient(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeTransient(java.lang.Object)` with the given instance. Returns the `this` pointer by default.
  Overrides:
    `makeTransient` in class `JDOState`

### evict

    JDOState evict(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.evict(java.lang.Object)` with the given instance. Returns the `this` pointer by default.
  Overrides:
    `evict` in class `JDOState`

### beforeRead

    JDOState beforeRead(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read within an active transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeRead` in class `JDOState`

### beforeWrite

    JDOState beforeWrite(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an active transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeWrite` in class `JDOState`

### beforeOptimisticWrite

    JDOState beforeOptimisticWrite(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an optimistic transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeOptimisticWrite` in class `JDOState`

### isPersistent

    boolean isPersistent()

  Description copied from class: `JDOState`
  Return whether this is a persistent state. Returns `false` by default.
  Overrides:
    `isPersistent` in class `JDOState`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.